<?php

/**
 * 对企业微信群发送报警信息（需先创建
 * @param $chat
 * @param $text
 * @return mixed|null
 */
function chat_text_alert($chat, $text)
{
    $config = [
        'crm' => [
            'base_uri' => 'http://crm.in.haowumc.com/api/wechat/',
            'appid' => 'notification',
            'secret' => '123456',
        ],
    ];

    $client = (new \PdInternalApi\Client($config))->app('crm');

    try {
        $resp = $client->call('work/text', [
            'chat_id' => $chat,
            'text' => $text,
        ]);
    } catch (Exception $ex) {
        var_dump($ex->getMessage());
        return null;
    }

    return $resp;
}

/**
 * 对单个或多个用户发送报警或通知信息，多个用户id使用 | 隔开
 * @param $username
 * @param $text
 * @return mixed|null
 */
function user_text_alert($username, $text){
    $config = [
        'crm' => [
            'base_uri' => 'http://crm.in.haowumc.com/api/wechat/',
            'appid' => 'notification',
            'secret' => '123456',
        ],
    ];

    $client = (new \PdInternalApi\Client($config))->app('crm');

    try {
        $resp = $client->call('work/text', [
            'username' => $username,
            'text' => $text,
        ]);
    } catch (Exception $ex) {
        var_dump($ex->getMessage());
        return null;
    }

    return $resp;
}